История изменений:

0.8.0
* добавлено автоопределение .reg и .dll файлов для их добавленния в реестр префикса
* во вкладку "Справка" добавлены ссылки на старницы с сертификатами
* другие небольшие улучшения и оптимизации скриптов и графического интерфейса

0.7.0
* обновлен графический режим Qt5
    - добавлена кнопка открытия каталога с резервными копиями и логами
    - добавлена кнопка открытия каталога с префиксом
    - добавлена блокировка кнопок для установленного приложения, если оно уже запущено
    - добавлено отображения процесса установки сторонних компонентов с помощью winetricks
    - добавлена возможность отображения и установки тестовых скриптов (выключено по умолчанию)
* добавлены скрипты установки для t-flex версии 18
* в CLI добавлен список тестовых скриптов установки ПО
* добавлена возможность ассоциации файлов для передачи в приложения запускаемых в WineHelper

0.6.0
* обновлен графический режим Qt5
* добавлен иконка в трее для графического режима Qt5
* обновлены скрипты установки для t-flex-*
* обновлен скрипт установки для scadoffice
* добавлена ручная установка NetTest (демо версия)
* добавлены скрипты установки ARM-KT:
    winehelper install arm-kt-att - "АРМ КТ ПРОФ АТТЕСТАТ"
    winehelper install arm-kt-dpp - "АРМ КТ ПРОФ ДПП"
    winehelper install arm-kt-es - "АРМ КТ ПРОФ НШ"
    winehelper install arm-kt-med - "АРМ КТ ПРОФ МЕД"
    winehelper install arm-kt-prof - "АРМ КТ ПРОФ ПРОФЕССИЯ"
    winehelper install arm-kt-spo - "АРМ КТ ПРОФ СПО"
    winehelper install arm-kt-vuz - "АРМ КТ ПРОФ ВУЗ"
* winehelper killal - убивает только процессы запущенные в WinwHelper
* другие небольшие улучшения и оптимизации скриптов

0.5.4:
* обновлен графический режим Qt5:
    - добавлена возможность установки системных зависимостей
    - исправлены/улучшены основные функции
    - добавлено управление префиксами (в разработке)
    - добавлена возможность создания ярлыка
* добавлено автоматическое создание иконки для ярлыков (desktop файлов)
* префикс tflex17 переименован в tflex (т.к. 18-я версия работает в том же префиксе)

0.5.3:
* исправлена установка grdcontrol для t-flex-*
* обновлен графический режим Qt5

0.5.2:
* исправлен запуск winehelper.desktop для winehelper-qt

0.5.1:
* добавлена функция извлечения иконки из .exe файлов
* добавлен вывод истории изменений командой: winehelper --changelog
* добавлен графический режим Qt5 (альфа версия)
* обновлены скрипты для совместной работы с графическим режимом
* обновлены скрипты установок для t-flex-* (добавлена поддержка grdcontrol)
* добавлены ссылки на официальные сайты устанавливаемых приложений
* обновлены функции создания и восстановления резервных копий префиков
* добавлены иконки для приложения WineHelper

0.5.0:
* добавлен явный вывод отказа от ответственности и соглашения с ним
* обновлены все скрипты для установки t-flex-*
* добавлен wine_wh_tflex_10-9 с патчами для t-flex-*
* добавлена поддержка новых версий wine 10.3 и выше
* удален пакет libOSMesa из проверки на зависимости
* другие небольшие улучшения и оптимизации скриптов

0.4.9:
* добавлено автодопонение команд для zsh (zsh_completion)

0.4.8:
* все скрипты для программ daobit-* переведены из ручных установок в автоматические

0.4.7:
* обновлены скрипты установки и префикс для программ ved-* и ctm-*
* обновлены скрипты установки для программ daobit-*
* улучшено отображение шрифтов в ПО: Справки БК
* добавлена проверка хэш-суммы для сохраненных архивов

0.4.6:
* добавлено автодопонение команд для bash (bash_completion)

0.4.5:
* скорректирована проверка синтаксиса скриптов

0.4.4:
* добавлены/обновлены скрипты установки:
    winehelper install t-flex-cad17 - "T-FLEX CAD 17"
    winehelper install t-flex-doc17 - "T-FLEX DOCs 17"
    winehelper install t-flex-cad2d+17 - "T-FLEX CAD 2D+ 17"
    winehelper install t-flex-cad-edu17 - "T-FLEX CAD Учебная Версия 17"
    winehelper install t-flex-viewer17 - "T-FLEX Viewer 17"

    winehelper install t-flex-cad17-applications
    Приложения для T-FLEX CAD 17 (T-FLEX Анализ 17, T-FLEX Динамика 17, T-FLEX Зубчатые передачи 17, T-FLEX ЧПУ 17, T-FLEX Раскрой 17, T-FLEX Электротехника 17, T-FLEX VR 17, T-FLEX Печатные платы 17)

    winehelper install t-flex-cad17-resources
    Обучающие материалы, примеры, бесплатные библиотеки для T-FLEX CAD 17 (Учебное пособие 17, Стандартные элементы 17, Элементы уплотнительной техники 17, Станочные приспособления 17, Детали штампов листовой штамповки 17, Детали пресс-форм 17, Примеры 17)

* добавлена ручная установка дополнений для T-FLEX CAD 17:
    winehelper install t-flex-cad17-manual "/путь/до/файла"

0.4.3:
* исправлено обновление префикса при первом запуске

0.4.2:
* исправлено создание и восстановление резервных копий с разными именами пользователей

0.4.1:
* добавлена возможность создания резервной копии префикса:
    winehelper backup-prefix [имя_префикса]
* добавлена возможность восстановления резервной копии префикса:
    winehelper restore-prefix "путь/до/резервной_копии.whpack"
* создание и восстановление резервной копии префикса включает в себя требуемую версиею WINE и информацию для создания .desktop файлов (ярлыков), что дает возможность переноса префикса на ПК без доступа к интернету

0.4.0:
* добавлена автоматическая установка и настройка wine-cpcsp_proxy при
использовании переменной WH_USE_CPCSP_PROXY=1
* подготовка функций для создания бэкапов префикса

0.3.9:
* обновлен скрипт установки scadoffice
* добавлена автоустановка:
    winehelper easymnemo - "Easymnemo"
* winetricks поставляется с пакетом WineHelper, а не скачивается из GitHub
* добавлена возможность удаления префикса

0.3.8:
* добавлена возможность ассоциации и запуска файлов из WINE в нативном Linux
приложении с помощью перемененной. Пример: WH_XDG_OPEN="rtf txt doc"
* добавлен выбор префикса, если переменная WINEPREFIX не объявлена
* добавлено сохранение последней конфигурации использования префикса
* добавлено сохранение скписка создаваемых ярлыков для приложений

0.3.7:
* обновлены функции создания desktop файлов (ярлыков) и категория WineHelper в меню
* обновлен скрипт установки scadoffice
* добавлена автоустановка:
    winehelper install zulugis - ZuluGIS 2021 Инженерные расчёты
* добавлена функция полного удаления WineHelper
* обновлена проверка на наличие noexec для /home (ALT bug: 54095)

0.3.6:
* добавлена категория WineHelper для desktop файлов (ярлыков) в меню

0.3.5:
* обновлены скрипты установок daobit
* добавлен вывод списка программ с возможностью установки из существующего дистрибутива

0.3.4:
* добавлены скрипты установки специализированных программных решений для железнодорожной логистики daobit:
    winehelper install daobit-cservice "/путь/до/установочного_файла"  -  "Сервис обновления ПО"
    winehelper install daobit-ratlas "/путь/до/установочного_файла"  -  "R-Атлас"
    winehelper install daobit-rinfo "/путь/до/установочного_файла"  -  "R-Инфо"
    winehelper install daobit-rtariff "/путь/до/установочного_файла"  -  "R-Тариф"
* добавлена автоустановка:
    winehelper install scadoffice  -  "Программный комплекс для расчёта строительных конструкций"
* добавлена возможность запуска приложений в сессии XRDP

0.3.3:
* добавлены скрипты установки:
    winehelper install is-record-station "/путь/до/установочного_файла"
    winehelper install desktop-audio-station "/путь/до/установочного_файла"
* добавлена автоустановка:
    winehelper install alta-expert  -  "Альта-Эксперт"

0.3.2:
* обновлена автоустановка "Альта-Максимум"
* исправлен запуск установленных программ аргументом "run"
Пример: "winehelper run БК.exe"
* добавлен аргумент "--debug" для запуска в режиме создания лога
Пример: "winehelper --debug run БК.exe"

0.3.1:
* добавлен вывод ошибки, если установочного файла не существует
* исправлена тихая установка нескольких приложений "Альта-Софт" в один префикс и каталог
* добавлена автоустановка:
    winehelper install alta-maximum  -  "Альта-Максимум"

0.3.0:
* добавлена автоматическое определение версии ПО "Декларация", с возможностью последующего обновления поверх старой версии программы
* обновлена версия tester_n - до актуальной на 10.03.2025
* npul - доработано определения дополнительного обновления
* упрощен вывод списка возможных установок
* добавлена возможность установки ПО без использования подготовленного префикса
Пример: "winehelper install declaration --clear-pfx"
* лицензия изменена на LGPLv2+
* добавлено явное подтверждение пользователем о согласии использования лицензионного соглашения и отказа от ответственности
* добавлено создание символьной ссылки рабочего каталога winehelper в "$HOME/.winehelper"
* в префиксы добавлен диск "H:" всегда ведущий на домашний каталог пользователя "$HOME"

0.2.7:
* удалена команда обновления системы "dist-upgrade" при установке зависимостей
* исправлено отображение списка возможных установок при использовании перенаправления
Пример: "winehelper -i | less"

0.2.6:
* добавлена информация о "Лицензионных соглашениях" перед запуском автоустановок программ
* добавлен CHANGELOG

0.2.5:
* исправление базового префикса для "Справки-БК"

0.2.4:
* исправлено создание лишних .desktop и .lnk файлов
* обновлена установка зависимостей
* добавлена автоустановка:
    winehelper install spravki-bk  -  "СПО Справки БК"

0.2.3:
* обновлены скрипт и иконка для ctm-monitor

0.2.2:
* установка всех приложений СТМ и ВЭД переведены в тихий режим

0.2.1:
* обновлен префикс для приложений СТМ и ВЭД (исправление ошибки с aceodbc в ctm-report)

0.2.0:
* добавлен вывод информации перед распаковкой архива и запуском установки программы
* переименованы префикс и иконки для приложений СТМ и ВЭД
* добавлены команды:
    winehelper installed  -  для вывода списка установленных приложений
    winehelper run  -  для запуска установленных приложений из терминала (отладка)

0.1.4:
* добавлены/обновлены скрипты установки приложений СТМ и ВЭД:
    winehelper install ctm-finance  -  "СТМ-Финансы"
    winehelper install ctm-journals  -  "СТМ-Журналы"
    winehelper install ctm-monitor  -  "Монитор ЭД"
    winehelper install ctm-report  -  "СТМ-Отчет"
    winehelper install ctm-service  -  "СТМ-Сервис"
    winehelper install ved-alf  -  "ВЭД-Алфавит"
    winehelper install ved-control  -  "ВЭД-Контроль"
    winehelper install ved-dcl  -  "ВЭД-Декларант"
    winehelper install ved-info  -  "ВЭД-Инфо"
    winehelper install ved-payments  -  "ВЭД-Платежи"
    winehelper install ved-sts  -  "ВЭД-Склад"

0.1.3:
* корректировка переменных для скриптов установок приложений
* исправление опечаток

0.1.2:
* добавлены скрипты установки приложений:
    winehelper install alta-gtd  -  "Альта-ГТД"
    winehelper install alta-tax  -  "Такса"
    winehelper install alta-zap  -  "Заполнитель"
    winehelper install alta-tamdoc  -  "Таможенные документы"

0.1.1:
* добавлена автоустановка:
    winehelper install keepsoft_simulator4  -  "Конструктор тестов"

0.1.0:
* добавлены скрипты установки приложений:
    winehelper install declaration2023  -  "Декларация 2023"
    winehelper install npul  -  "Налогоплательщик ЮЛ"
    winehelper install ppdgr2  -  "ППДГР-2"
    winehelper install soun  -  "СОУН"
    winehelper install tester_n  -  "Тестер"
    winehelper install t-flex-cad17  -  "T-FLEX CAD 17"
    winehelper install t-flex-doc17  -  "T-FLEX DOCs 17"
